unit UMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Data.DB, Datasnap.DBClient,
  Data.DBXFirebird, Data.FMTBcd, Data.SqlExpr, Vcl.Grids, Vcl.DBGrids,
  Vcl.StdCtrls, Datasnap.Provider;

type
  TForm1 = class(TForm)
    cdsDados: TClientDataSet;
    cdsCopia: TClientDataSet;
    Employee: TSQLConnection;
    Country: TSQLDataSet;
    dspDados: TDataSetProvider;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    dsrDados: TDataSource;
    GroupBox2: TGroupBox;
    DBGrid2: TDBGrid;
    btnAbrirCDSDados: TButton;
    btnAbrirCDSCopia: TButton;
    dsrCopia: TDataSource;
    cbbCampos: TComboBox;
    btnOrdernar: TButton;
    procedure btnAbrirCDSDadosClick(Sender: TObject);
    procedure btnAbrirCDSCopiaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnOrdernarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnAbrirCDSDadosClick(Sender: TObject);
begin
  cdsDados.Open;
end;

procedure TForm1.btnOrdernarClick(Sender: TObject);
begin
  cdsDados.IndexFieldNames := cbbCampos.Text;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Abre o ClientDataSet
  cdsDados.Open;

  // Limpa os items do ComboBox
  cbbCampos.Items.Clear;

  // Chama o mtodo GetFieldNames do cdsDados para preencher o ComboBox
  cdsDados.Fields.GetFieldNames(cbbCampos.Items);
end;

procedure TForm1.btnAbrirCDSCopiaClick(Sender: TObject);
begin
  cdsCopia.CloneCursor(cdsDados, False, False);
  //cdsCopia.Data := cdsDados.Data;
end;

end.
