unit uGrpAcesso;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, uCads, Data.DB, Datasnap.DBClient,
  Vcl.ExtCtrls, Vcl.Grids, Vcl.DBGrids, Vcl.StdCtrls, Vcl.Buttons, Vcl.Mask,
  Vcl.DBCtrls;

type
  TfrmGrpAcesso = class(TfrmCads)
    bAcesso: TBitBtn;
    cdsCadscodigo: TIntegerField;
    cdsCadsdescricao: TStringField;
    procedure bGravarClick(Sender: TObject);
    procedure dsCadsDataChange(Sender: TObject; Field: TField);
    procedure FormShow(Sender: TObject);
    procedure bAcessoClick(Sender: TObject);
  private
    { Private declarations }
    procedure VerificaAcesso;
  public
    { Public declarations }
  end;

var
  frmGrpAcesso: TfrmGrpAcesso;

implementation

{$R *.dfm}

uses udmPrincipal, uAcesso;

{ TfrmGrpAcesso }

{ TfrmGrpAcesso }

procedure TfrmGrpAcesso.bAcessoClick(Sender: TObject);
begin
  inherited;
  frmAcesso := TfrmAcesso.Create(Self);
  If frmAcesso.Tag = 1 Then
  Begin
    frmAcesso.Close;
    FreeAndNil(frmAcesso)
  End
  Else
    Try
      frmAcesso.ShowModal;
    Finally
      FreeAndNil(frmAcesso)
    End;
end;

procedure TfrmGrpAcesso.bGravarClick(Sender: TObject);
begin
  dmPrincipal.ValidaDataSet(cdsCads);
  If dsCads.State = dsInsert Then
    cdsCadscodigo.AsInteger := dmPrincipal.RetornaID('grupos_acesso');
  inherited;
end;

procedure TfrmGrpAcesso.dsCadsDataChange(Sender: TObject; Field: TField);
begin
  inherited;
  VerificaAcesso;
end;

procedure TfrmGrpAcesso.FormShow(Sender: TObject);
begin
  inherited;
  VerificaAcesso;
end;

procedure TfrmGrpAcesso.VerificaAcesso;
begin
  If cdsCadscodigo.AsInteger = 0 Then
  Begin
    bAlterar.Enabled := False;
    bExcluir.Enabled := False;
    bAcesso.Enabled := False;
  End
  Else
  Begin
    bAlterar.Enabled := (not (dsCads.State in [dsInsert,dsEdit])) and (not dsCads.DataSet.IsEmpty) and (uAlterar = 'S');
    bExcluir.Enabled := (not (dsCads.State in [dsInsert,dsEdit])) and (not dsCads.DataSet.IsEmpty) and (uExcluir = 'S');
    bAcesso.Enabled := bAlterar.Enabled;
  End;
end;

end.
