unit uUsuarios;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, uCads, Data.DB, Datasnap.DBClient,
  Vcl.ExtCtrls, Vcl.Grids, Vcl.DBGrids, Vcl.StdCtrls, Vcl.Buttons, Vcl.Mask,
  Vcl.DBCtrls;

type
  TfrmUsuarios = class(TfrmCads)
    cdsCadscodigo: TIntegerField;
    cdsCadsusuario: TStringField;
    cdsCadssenha: TStringField;
    cdsCadsconfsenha: TStringField;
    cdsCadsnome: TStringField;
    cdsCadsgrupo_acesso: TIntegerField;
    cdsCadsdesc_grp: TStringField;
    cdsCadsativo: TStringField;
    Label4: TLabel;
    dbeUsuario: TDBEdit;
    Label5: TLabel;
    dbeSenha: TDBEdit;
    Label6: TLabel;
    dbeConfSenha: TDBEdit;
    Label7: TLabel;
    dbeGrpAcesso: TDBEdit;
    bGrpAcesso: TSpeedButton;
    dbtGrpAcesso: TDBText;
    dbcbAtivo: TDBCheckBox;
    procedure bGravarClick(Sender: TObject);
    procedure bGrpAcessoClick(Sender: TObject);
    procedure dbeGrpAcessoExit(Sender: TObject);
    procedure dsCadsStateChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmUsuarios: TfrmUsuarios;

implementation

{$R *.dfm}

uses udmPrincipal, uPrincipal, uGrpAcesso;

procedure TfrmUsuarios.bGravarClick(Sender: TObject);
begin
  dmPrincipal.ValidaDataSet(cdsCads);
  If cdsCadssenha.AsString <> cdsCadsconfsenha.AsString Then Begin
    MessageDlg('As senha so diferentes. Redigite-as!', mtWarning, [mbOK], 0);
    dbeSenha.SetFocus;
    Exit;
  End;
  if dsCads.State = dsInsert then
    cdsCads.FieldByName('codigo').AsFloat := dmPrincipal.RetornaID('usuarios');
  inherited;
end;

procedure TfrmUsuarios.bGrpAcessoClick(Sender: TObject);
begin
  inherited;
  frmPrincipal.uCodigo := cdsCadsgrupo_acesso;
  frmPrincipal.uDescricao := cdsCadsdesc_grp;
  frmPrincipal.actGrpAcessoExecute(nil);
end;

procedure TfrmUsuarios.dbeGrpAcessoExit(Sender: TObject);
begin
  inherited;
  If cdsCads.State in [dsInsert,dsEdit] Then
    dmPrincipal.Pes(cdsCadsgrupo_acesso, cdsCadsdesc_grp, 'grupos_acesso');
end;

procedure TfrmUsuarios.dsCadsStateChange(Sender: TObject);
begin
  inherited;
  bGrpAcesso.Enabled := bGravar.Enabled;
end;

end.
