unit uClientes;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, uCads, Data.DB, Datasnap.DBClient,
  Vcl.ExtCtrls, Vcl.Grids, Vcl.DBGrids, Vcl.StdCtrls, Vcl.Buttons, Vcl.Mask,
  Vcl.DBCtrls;

type
  TfrmClientes = class(TfrmCads)
    cdsCadscodigo: TIntegerField;
    cdsCadsdescricao: TStringField;
    cdsCadsendereco: TStringField;
    cdsCadscomplemento: TStringField;
    cdsCadsbairro: TStringField;
    cdsCadscidade: TStringField;
    cdsCadsuf: TStringField;
    cdsCadscep: TStringField;
    cdsCadstelefone: TStringField;
    cdsCadsramo: TIntegerField;
    cdsCadsdesc_ramos: TStringField;
    Label4: TLabel;
    dbeEndereco: TDBEdit;
    Label5: TLabel;
    dbeComplemento: TDBEdit;
    Label6: TLabel;
    dbeBairro: TDBEdit;
    dbcbUF: TDBComboBox;
    Label7: TLabel;
    Label8: TLabel;
    dbeCEP: TDBEdit;
    Label9: TLabel;
    dbeCidade: TDBEdit;
    Label10: TLabel;
    dbeTelefone: TDBEdit;
    Label11: TLabel;
    dbeRamo: TDBEdit;
    bRamo: TSpeedButton;
    dbtRamo: TDBText;
    procedure bGravarClick(Sender: TObject);
    procedure bRamoClick(Sender: TObject);
    procedure dbeRamoExit(Sender: TObject);
    procedure dsCadsStateChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmClientes: TfrmClientes;

implementation

{$R *.dfm}

uses udmPrincipal, uPrincipal;

procedure TfrmClientes.bGravarClick(Sender: TObject);
begin
  dmPrincipal.ValidaDataSet(cdsCads);
  if dsCads.State = dsInsert then
    cdsCads.FieldByName('codigo').AsFloat := dmPrincipal.RetornaID('clientes');
  inherited;
end;

procedure TfrmClientes.bRamoClick(Sender: TObject);
begin
  inherited;
  frmPrincipal.uCodigo := cdsCadsramo;
  frmPrincipal.uDescricao := cdsCadsdesc_ramos;
  frmPrincipal.actRamosExecute(nil);
end;

procedure TfrmClientes.dbeRamoExit(Sender: TObject);
begin
  inherited;
  If cdsCads.State in [dsInsert,dsEdit] Then
    dmPrincipal.Pes(cdsCadsramo, cdsCadsdesc_ramos, 'ramos');
end;

procedure TfrmClientes.dsCadsStateChange(Sender: TObject);
begin
  inherited;
  bRamo.Enabled := bGravar.Enabled;
end;

end.
